Package: org.gradle.language.base

## [Java] Interface LanguageSourceSet

- org.gradle.language.base.LanguageSourceSet

- All Superinterfaces:
    Buildable

  A set of sources for a programming language.

- - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `generatedBy(Task generatorTask)`
    `String` | `getDisplayName()`
    `SourceDirectorySet` | `getSource()` The source files.
    `void` | `source(Action<? super SourceDirectorySet> config)` Configure the sources

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Named` | `getName`
    `interface BuildableModelElement` | `builtBy, getBuildTask, hasBuildDependencies, setBuildTask, getBuildDependencies`

- - ### Method Detail

    - #### public void generatedBy(Task generatorTask)

    - #### public String getDisplayName()

    - #### public SourceDirectorySet getSource()

      The source files.

    - #### public void source(Action<? super SourceDirectorySet> config)

      Configure the sources